AddDocumentsTester
Date: 2017-06-10

org.gcube.informationsystem.collector.stubs.testsuite.wsdaix

## Class AddDocumentsTester

- java.lang.Object
- - org.gcube.informationsystem.collector.stubs.testsuite.wsdaix.AddDocumentsTester

-     public class AddDocumentsTester
      extends java.lang.Object

  Tester for XMLCollectionAccess::addDocuments
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddDocumentsTester()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddDocumentsResponse` | `addDocuments(java.lang.String serviceURL, GCUBEScope scope, org.apache.axis.types.URI resourceName, org.apache.axis.types.URI collectionURI, java.lang.String type, java.lang.String[] documentNames, org.w3c.dom.Document[] documents)` Execute the AddDocuments operation
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddDocumentsTester

          public AddDocumentsTester()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - 0 - host 1 - port 2 - scope 3 - document name 4 - filename 5 - type (Properties/Profile/Daix) 6 - collection name

    - #### addDocuments

          public static AddDocumentsResponse addDocuments(java.lang.String serviceURL,
                                          GCUBEScope scope,
                                          org.apache.axis.types.URI resourceName,
                                          org.apache.axis.types.URI collectionURI,
                                          java.lang.String type,
                                          java.lang.String[] documentNames,
                                          org.w3c.dom.Document[] documents)
                                                   throws DataResourceUnavailableFaultType,
                                                          java.net.MalformedURLException,
                                                          java.rmi.RemoteException,
                                                          ServiceBusyFaultType,
                                                          InvalidResourceNameFaultType,
                                                          InvalidCollectionNameFaultType,
                                                          NotAuthorizedFaultType

      Execute the AddDocuments operation
      Parameters:
        `serviceURL` - the URL of the data service
        `scope` - the target scope
        `resourceName` - the abstract name of the data resource
        `collectionURI` - The URI of the collection to which the documents should be added
        `documentNames` - An array of document names to be added
        `documents` - The corresponding content of each document
      Throws:
        `DataResourceUnavailableFaultType`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`
        `ServiceBusyFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`
        `NotAuthorizedFaultType`